Bug 435613 - Enhance rpm -qi command to display GPL version number
Enhance rpm -qi command to display GPL version number
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: distribution (Show other bugs)
4.8
All Linux
medium Severity medium
: rc
: ---
Assigned To: RHEL Product and Program Management
Daniel Riek
: FutureFeature
Depends On: 435612
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-02 10:15 EST by Larry Troan
Modified: 2016-04-18 05:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 11:55:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Larry Troan 2008-03-02 10:15:55 EST
+++ This bug was initially created as a clone of Bug #435611 +++

Description of problem: 
Need to differentiate between GPL v2 and v3 in rpm command.

On Tue, 05 Feb 2008 20:04:36, Kei Tokunaga <ktokunag@redhat.com> wrote:

   "rpm -qi" shows "License" field today, so we would like to
   ask RH to please make sure to put the version "GPLv3" into
   the field of GPLv3 packages in the future.

   GPLv2 and GPLv3 are different licenses and we believe it
   is important to be able to distinguish GPLv3 from the others.
   GPLv3 contains some conditions about license and litigation.
   While we are conducting developments of applications for our
   customers and building customers systems based on RHEL, we
   are also performing patent activity.  We have to understand
   GPLv3 and comply with it properly.
Comment 1 Panu Matilainen 2008-03-03 01:39:24 EST
Rpm doesn't "know" anything about the contents of license field, it only shows
what's specified in package spec. Updating the license must be done in each
individual package separately and the affected packages need to be rebuilt.

Reassigning to distribution.

Comment 2 Jiri Pallich 2012-06-20 11:55:32 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.